.TH wxFontPickerCtrl 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxFontPickerCtrl \- See external documentation: wxFontPickerCtrl\&.
.SH DESCRIPTION
.LP
See external documentation: wxFontPickerCtrl <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfontpickerctrl\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxPickerBase 
.br
wxControl 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxFontPickerCtrl()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxFontPickerCtrl()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfontpickerctrl\&.html#wxfontpickerctrlwxfontpickerctrl>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer()) -> wxFontPickerCtrl()
.br
.RS
.LP
Equivalent to new(Parent, Id, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer(), Options::[Option]) -> wxFontPickerCtrl()
.br
.RS
.TP
Types
Option = {initial, wxFont() (see module wxFont)} | {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()} | {validator, wx() (see module wx)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfontpickerctrl\&.html#wxfontpickerctrlwxfontpickerctrl>\&.
.RE
.LP
.B
create(This::wxFontPickerCtrl(), Parent::wxWindow() (see module wxWindow), Id::integer()) -> bool()
.br
.RS
.LP
Equivalent to create(This, Parent, Id, [])\&.
.RE
.LP
.B
create(This::wxFontPickerCtrl(), Parent::wxWindow() (see module wxWindow), Id::integer(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {initial, wxFont() (see module wxFont)} | {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()} | {validator, wx() (see module wx)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfontpickerctrl\&.html#wxfontpickerctrlcreate>\&.
.RE
.LP
.B
getSelectedFont(This::wxFontPickerCtrl()) -> wxFont() (see module wxFont)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfontpickerctrl\&.html#wxfontpickerctrlgetselectedfont>\&.
.RE
.LP
.B
setSelectedFont(This::wxFontPickerCtrl(), F::wxFont() (see module wxFont)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfontpickerctrl\&.html#wxfontpickerctrlsetselectedfont>\&.
.RE
.LP
.B
getMaxPointSize(This::wxFontPickerCtrl()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfontpickerctrl\&.html#wxfontpickerctrlgetmaxpointsize>\&.
.RE
.LP
.B
setMaxPointSize(This::wxFontPickerCtrl(), Max::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfontpickerctrl\&.html#wxfontpickerctrlsetmaxpointsize>\&.
.RE
.LP
.B
destroy(This::wxFontPickerCtrl()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
